tilix (1.9.5-1) unstable; urgency=medium

  * New upstream release: 1.9.5
    - Resolves FTBFS with newer Meson versions (Closes: #1005537)
  * Bump standards version (no changes needed)
  * Drop old breaks/replaces on terminix

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Feb 2022 19:56:45 +0100

tilix (1.9.4-2) unstable; urgency=medium

  * Add fix-build-with-gdc-10.patch
    - This should fix the FTBFS issues on armel and armhf

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Feb 2021 22:24:18 +0100

tilix (1.9.4-1) unstable; urgency=medium

  * New upstream release: 1.9.4
  * Drop all patches except for move-vte-config-warning.patch:
    All other patches were applied upstream
  * Simplify d/rules, drop configure override
  * Add new build dependencies on libsecret-1-dev and appstream

 -- Matthias Klumpp <mak@debian.org>  Wed, 10 Feb 2021 21:00:12 +0100

tilix (1.9.3-4) unstable; urgency=medium

  * default-tab-title.patch: Add missing quotemarks (Closes: #946629)
  * Adjust wrapper script to mention Tilix, not Terminix (Closes: #940239)

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Dec 2019 10:14:24 +0100

tilix (1.9.3-3) unstable; urgency=medium

  * default-tab-title.patch: Show title on tabs

 -- Matthias Klumpp <mak@debian.org>  Thu, 12 Dec 2019 10:05:54 +0100

tilix (1.9.3-2) unstable; urgency=medium

  * Rebuild against latest GtkD
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Dec 2019 22:20:34 +0100

tilix (1.9.3-1) unstable; urgency=medium

  * New upstream release: 1.9.3
  * Update build-deps, add librsvg2-dev, libunwind-dev
  * Build with Meson
    - This required picking a lot of upstream patches and
      other changes, so hopefully there will be a new upstream
      release incorporating them soon.
    - Building with Meson is required to support more architectures
      and build with other compilers than LDC.
  * Bump standards version: No changes needed
  * build-any-dcompiler.patch: Permit GDC builds
  * Simplify d/watch

 -- Matthias Klumpp <mak@debian.org>  Sun, 15 Sep 2019 22:20:46 +0200

tilix (1.8.9-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GtkD to 3.8.5

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Jan 2019 20:35:54 -0500

tilix (1.8.7-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GtkD to 3.8.4-2~
  * Build-Depend on debhelper-compat 12 and drop debian/compat

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Jan 2019 11:30:12 -0500

tilix (1.8.5-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GtkD to 3.8.4
  * Drop debian/patches/ubuntu.series per CTTE decision #904302

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 16:28:49 -0500

tilix (1.8.1-1) unstable; urgency=medium

  * New upstream release: 1.8.1
  * Drop fix-32-bit-build.patch: Applied upstream
  * Move pcre2-version-update.patch to Ubuntu series file
  * move-vte-config-warning.patch: Only show VTE config warning when opening
    the preferences dialog
    - This patch improves the initial launch experience of Tilix, which is
      especially important for derivatives and blends where Tilix is default.
    - The VTE configuration warning is caused on Debian by issue #675008
      which is still not fixed and requires further discussion.
      We are aware of the issue, so toning down the warning makes sense
      until this problem is resolved in either Bash, VTE or the Debian Policy.
    - This patch is temporary, and will hopefully be dropped again sooner
      than later.
    - We do not hide the warning, as it shows a legitimate problem that
      needs to be addressed (and can be, by a configuration change on the
      user's side), instead we just show it less prominently.
  * Tighten GtkD build dependency again

 -- Matthias Klumpp <mak@debian.org>  Mon, 16 Jul 2018 20:46:28 +0200

tilix (1.7.9-2) unstable; urgency=medium

  * Cherry-pick fix-32-bit-build.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 23:27:39 -0400

tilix (1.7.9-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4
  * Bump minimum GtkD to 3.8.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 17:43:49 -0400

tilix (1.7.7-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop fix-transparency.patch: Applied in new release

  [ Matthias Klumpp ]
  * Ensure Tilix is build against the latest GtkD (3.7.5)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Mar 2018 20:25:53 -0400

tilix (1.7.5-3) unstable; urgency=medium

  [ David Mohammed ]
  * Cherry-pick fix-transparency.patch for compatibility with
    vte2.91 0.51+ (LP: #1750322)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Mar 2018 11:58:34 -0500

tilix (1.7.5-2) unstable; urgency=medium

  * Ensure rebuild against GtkD >= 3.7.3
  * d/copyright: Use secure URL

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Feb 2018 22:26:02 +0100

tilix (1.7.5-1) unstable; urgency=medium

  * New upstream release (Closes: #882679, #883676)
  * Drop all patches: applied in new release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 30 Jan 2018 17:58:38 -0500

tilix (1.7.1-2) unstable; urgency=medium

  * Add fix-32bit-build.patch: Fix build on 32bit platforms

 -- Matthias Klumpp <mak@debian.org>  Thu, 09 Nov 2017 19:42:42 +0100

tilix (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
    - Closes: #880153
  * Bump GtkD dependency
  * gtkd-3.7-support.patch: Fix build with GtkD 3.7+
  * Bump standards version: No changes needed
  * d/rules: Use dh_missing
  * Drop old dh-autoreconf build dependency

 -- Matthias Klumpp <mak@debian.org>  Thu, 09 Nov 2017 18:14:24 +0100

tilix (1.6.4-2) unstable; urgency=medium

  * Suggest python-nautilus (Closes: #873246)
  * Bump standards version: No changes needed
  * Ensure Tilix is built with the latest LDC and GtkD (Closes: #876479)

 -- Matthias Klumpp <mak@debian.org>  Sun, 01 Oct 2017 18:06:48 +0200

tilix (1.6.4-1) unstable; urgency=medium

  * New upstream version: 1.6.4

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Jul 2017 22:12:19 +0200

tilix (1.6.1-1) unstable; urgency=medium

  * New upstream version: 1.6.1
    - Closes: #863491
  * Drop terminix transitional package
  * d/control.in: Update dependencies
  * Bump standards version: No changes needed
  * Switch to dh compat level 10

 -- Matthias Klumpp <mak@debian.org>  Thu, 13 Jul 2017 21:52:10 +0200

tilix (1.5.6-1) unstable; urgency=medium

  * New upstream version: 1.5.6

 -- Matthias Klumpp <mak@debian.org>  Tue, 23 May 2017 08:24:28 +0200

tilix (1.5.4-1) unstable; urgency=medium

  * New upstream version: 1.5.4
    - Closes: #858069
  * Drop all patches: Applied upstream
  * Rename Terminix to Tilix

 -- Matthias Klumpp <mak@debian.org>  Sun, 19 Mar 2017 15:50:42 +0100

terminix (1.5.2-3) unstable; urgency=medium

  * fix-ppc64el-ftbfs.patch: Update patch (Really closes: #857084)

 -- Matthias Klumpp <mak@debian.org>  Tue, 07 Mar 2017 23:48:26 +0100

terminix (1.5.2-2) unstable; urgency=medium

  * fix-crash-multisession.patch: Fix crash when opening multiple sessions
  * fix-ppc64el-ftbfs.patch: Fix build on ppc64el (Closes: #857084)

 -- Matthias Klumpp <mak@debian.org>  Tue, 07 Mar 2017 23:33:26 +0100

terminix (1.5.2-1) unstable; urgency=medium

  * New upstream version: 1.5.2
    - This release fixes a couple of crashes as well as FTBFS
      issues on i386 and armhf (previous patches triggered an LDC
      compiler crash which is investigated in a separate bug)

 -- Matthias Klumpp <mak@debian.org>  Tue, 07 Mar 2017 19:36:40 +0100

terminix (1.4.2-4) unstable; urgency=medium

  * resolve-bug856153.patch: Fix crash when double-clicking on
    the title bar (Closes: #856153)

 -- Matthias Klumpp <mak@debian.org>  Fri, 03 Mar 2017 19:58:56 +0100

terminix (1.4.2-3) unstable; urgency=medium

  * Tighten dependency on GtkD (Closes: #852530)
  * Update homepage
  * new-gtkdevents.patch: Build with GtkD 3.5
  * fix-32bit.patch: Fix FTBFS on 32bit architectures

 -- Matthias Klumpp <mak@debian.org>  Wed, 25 Jan 2017 20:52:14 +0100

terminix (1.4.2-2) unstable; urgency=medium

  * Make archive contents reflect Git contents
    - Fix unintended branching done with the last upload.

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Jan 2017 23:52:34 +0100

terminix (1.4.2-1) unstable; urgency=medium

  * New upstream version: 1.4.2
    - Closes: #851610
  * Drop all patches: Applied upstream
  * Link new manpage for wrapper script
  * Provide x-terminal-emulator (Closes: #852287)

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Jan 2017 23:46:48 +0100

terminix (1.4.0-1) unstable; urgency=medium

  * New upstream version: 1.4.0
  * Drop 32bit-support.patch: Applied upstream
  * reproducible-build.patch: Make build reproducible (Closes: #842629)
  * Provide x-terminal-emulator alternative (Closes: #842282)
  * Disable tracing (Closes: #849372)
  * Update debian/watch file
  * no-dcflags-override.patch: Don't override our DCFLAGS

 -- Matthias Klumpp <mak@debian.org>  Mon, 26 Dec 2016 18:26:05 +0100

terminix (1.3.0-5) unstable; urgency=medium

  * Another attempt at fixing ppc64el builds

 -- Matthias Klumpp <mak@debian.org>  Tue, 25 Oct 2016 21:38:04 +0200

terminix (1.3.0-4) unstable; urgency=medium

  * 32bit-support.patch: More ppc64el build fixes

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Oct 2016 20:50:45 +0200

terminix (1.3.0-3) unstable; urgency=medium

  * Make buildsystem include localization
  * 32bit-support.patch: Fix FTBFS on ppc64el by using the correct types

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Oct 2016 18:24:36 +0200

terminix (1.3.0-2) unstable; urgency=medium

  * 32bit-support.patch: Fix FTBFS on 32bit architectures

 -- Matthias Klumpp <mak@debian.org>  Tue, 18 Oct 2016 11:35:32 +0200

terminix (1.3.0-1) unstable; urgency=medium

  * New upstream version: 1.3.0

 -- Matthias Klumpp <mak@debian.org>  Mon, 17 Oct 2016 15:48:33 +0200

terminix (1.2.0-1) unstable; urgency=medium

  * New upstream release: 1.2.0
  * Drop 32bit-support.patch: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Tue, 09 Aug 2016 21:02:48 +0200

terminix (1.1.0-1) unstable; urgency=medium

  * New upstream release: 1.1.0
  * 32bit-support.patch: Fix build on 32bit architectures (Closes: #831534)

 -- Matthias Klumpp <mak@debian.org>  Sun, 17 Jul 2016 16:00:15 +0200

terminix (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #825069)

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 Jul 2016 20:04:42 +0200
